GuideLab Docs

Update notification preferences

Updates the supplied notification categories, preserving omitted categories and order event overrides. Supports email, SMS, WhatsApp, and push channels.

PUT
/user/notification-preferences

Updates the supplied notification categories, preserving omitted categories and order event overrides. Supports email, SMS, WhatsApp, and push channels.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/user/notification-preferences" \  -H "Content-Type: application/json" \  -d '{    "preferences": {}  }'
{  "success": true}
Empty
Empty